//index.js
const app = getApp()

const page = require('../../utils/page.js');
import fetch from '../../utils/http'
const $api = require('../../config/api.js').$api;

Page({
  onShow() {
    wx.setNavigationBarTitle({
      title: '访客列表'
    })
  },
  onLoad: function(options) {
    const id = page.getCurrentPageOptions().id
    const _that = this
    fetch({
      url: $api.building.detail.url.replace(':id', id),
      method: $api.building.detail.method,
    }).then((data) => {
      _that.setData({
        list: data.data.visits
      })
    })
  },
  data: {
    UserInfo: app.globalData.UserInfo,
    list: []
  }
})